summaryrefslogtreecommitdiffstats
path: root/febootstrap-to-supermin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'febootstrap-to-supermin.sh')
-rwxr-xr-xfebootstrap-to-supermin.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/febootstrap-to-supermin.sh b/febootstrap-to-supermin.sh
index 5393ec7..086ee02 100755
--- a/febootstrap-to-supermin.sh
+++ b/febootstrap-to-supermin.sh
@@ -89,6 +89,7 @@ while read path <&7; do
p_ld_so='^ld-[.0-9]+\.so$'
p_libbfd='^libbfd-.*\.so$'
p_libgcc='^libgcc_s-.*\.so\.([0-9]+)$'
+ p_libntfs3g='^libntfs-3g\.so\..*$'
p_lib123so='^lib(.*)-[-.0-9]+\.so$'
p_lib123so123='^lib(.*)-[-.0-9]+\.so\.([0-9]+)\.'
p_libso123='^lib(.*)\.so\.([0-9]+)\.'
@@ -134,6 +135,11 @@ while read path <&7; do
elif [[ "$file" =~ $p_libgcc ]]; then
echo "$dir/libgcc_s-*.so.${BASH_REMATCH[1]}" >&6
+ # Special case for libntfs-3g.so.*
+ elif [[ "$file" =~ $p_libntfs3g ]]; then
+ [ -n "$libntfs3g_once" ] || echo "$dir/libntfs-3g.so.*" >&6
+ libntfs3g_once=1
+
# libfoo-1.2.3.so
elif [[ "$file" =~ $p_lib123so ]]; then
echo "$dir/lib${BASH_REMATCH[1]}-*.so" >&6